// Code generated by go-swagger; DO NOT EDIT.

package users

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"net/http"

	"github.com/go-openapi/runtime"
)

// UserOKCode is the HTTP code returned for type UserOK
const UserOKCode int = 200

/*UserOK JSONResponse struct

swagger:response userOK
*/
type UserOK struct {
	/*

	 */
	Description string `json:"description"`
	/*

	 */
	Status string `json:"status"`
}

// NewUserOK creates UserOK with default headers values
func NewUserOK() *UserOK {

	return &UserOK{}
}

// WithDescription adds the description to the user o k response
func (o *UserOK) WithDescription(description string) *UserOK {
	o.Description = description
	return o
}

// SetDescription sets the description to the user o k response
func (o *UserOK) SetDescription(description string) {
	o.Description = description
}

// WithStatus adds the status to the user o k response
func (o *UserOK) WithStatus(status string) *UserOK {
	o.Status = status
	return o
}

// SetStatus sets the status to the user o k response
func (o *UserOK) SetStatus(status string) {
	o.Status = status
}

// WriteResponse to the client
func (o *UserOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer) {

	// response header description

	description := o.Description
	if description != "" {
		rw.Header().Set("description", description)
	}

	// response header status

	status := o.Status
	if status != "" {
		rw.Header().Set("status", status)
	}

	rw.Header().Del(runtime.HeaderContentType) //Remove Content-Type on empty responses

	rw.WriteHeader(200)
}
